Subject: Re: linux-next: manual merge of the sched-ext tree with the tip tree

From: Tejun Heo <[email-masked]>
Date: Sun, 4 Aug 2024 07:42:36 -1000

Hello, Stephen.

On Thu, Aug 01, 2024 at 12:45:41PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the sched-ext tree got a conflict in:
> 
>   kernel/sched/fair.c
> 
> between commit:
> 
>   faa42d29419d ("sched/fair: Make SCHED_IDLE entity be preempted in strict hierarchy")
> 
> from the tip tree and commit:
> 
>   2c8d046d5d51 ("sched: Add normal_policy()")
> 
> from the sched-ext tree.
> 
> I fixed it up (I used the former version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This merge is a bit tricky because the former moves the test that the latter
converts and the new location doesn't show up as conflict. I merged
tip/sched/core into sched_ext/for-6.12 and resolved all the conflicts.

Thanks.

-- 
tejun